{% extends 'layout/basic.html' %}

{% block content %}
    {% for bb in bbs %}
        {% ifchanged %}
            <div class="{% cycle 'bb1' 'bb2' 'bb3' %}">
                <!-- на каждой итерации к div будет применятся следующий класс и так по кругу -->
                <h2><a href="{% url 'detail' pk=bb.id %}">{{ bb.title }}</a></h2>
                <p>{{ bb.content }}</p>
                <p><a href="{% url 'by_rubric' rubric_id=bb.rubric.id %}">{{ bb.rubric.name }}</a></p>
                <p>{{ bb.published|date:'d.m.Y H:i:s' }}</p>
                {% resetcycle %}
                <!-- сбрасывает последний cycle, если нужно выбрать конкретный нужно cycle объявить в формате {% cycle 'bb1' 'bb2' as b %} и указать имя после as-->
            </div>

        {% endifchanged %}
    {% endfor %}
    <div>
        {% if page.has_next %}
            <a href="?page={{ page.next_page_number }}">&lt;</a>
        {% endif %}
        Часть №{{ page.number }} из {{ page.paginator.num_pages }}
        {% if page.has_previous %}
            <a href="?page={{ page.previous_page_number }}">&gt;</a>
        {% endif %}
    </div>

{% endblock %}

